[Debian-live-changes] r1657 - in dists/trunk/live-initramfs: docs manpages scripts scripts/live-bottom

daniel at alioth.debian.org daniel at alioth.debian.org
Thu May 24 07:30:58 UTC 2007


Author: daniel
Date: 2007-05-24 07:30:58 +0000 (Thu, 24 May 2007)
New Revision: 1657

Added:
   dists/trunk/live-initramfs/scripts/live-bottom/42apt_upgrade
Modified:
   dists/trunk/live-initramfs/docs/ChangeLog
   dists/trunk/live-initramfs/manpages/live-initramfs.en.7
   dists/trunk/live-initramfs/scripts/live
Log:


Modified: dists/trunk/live-initramfs/docs/ChangeLog
===================================================================
--- dists/trunk/live-initramfs/docs/ChangeLog	2007-05-24 07:19:42 UTC (rev 1656)
+++ dists/trunk/live-initramfs/docs/ChangeLog	2007-05-24 07:30:58 UTC (rev 1657)
@@ -1,3 +1,8 @@
+2007-05-24  Daniel Baumann  <daniel at debian.org>
+
+	* scripts/live-bottom/42apt_upgrade:
+	  - Added.
+
 2007-05-23  Daniel Baumann  <daniel at debian.org>
 
 	* scripts/*:

Modified: dists/trunk/live-initramfs/manpages/live-initramfs.en.7
===================================================================
--- dists/trunk/live-initramfs/manpages/live-initramfs.en.7	2007-05-24 07:19:42 UTC (rev 1656)
+++ dists/trunk/live-initramfs/manpages/live-initramfs.en.7	2007-05-24 07:30:58 UTC (rev 1657)
@@ -70,6 +70,8 @@
 A path to a file present on the rootfs could be used to preseed debconf database.
 .IP "\fBpackage/question=\fR\fIVALUE\fR" 4
 All debian installed packages could be preseeded from command\-line that way, beware of blanks spaces, they will interfere with parsing, use a preseed file in this case.
+.IP "\fBupgrade\fR" 4
+performes a apt-get update/apt-get upgrace cycle while booting (experimental).
 .IP "\fBxdebconf\fR" 4
 uses xdebconfigurator, if present on the rootfs, to configure X instead of the standard procedure (experimental).
 .IP "\fBxvideomode=\fR\fIRESOLUTION\fR" 4

Modified: dists/trunk/live-initramfs/scripts/live
===================================================================
--- dists/trunk/live-initramfs/scripts/live	2007-05-24 07:19:42 UTC (rev 1656)
+++ dists/trunk/live-initramfs/scripts/live	2007-05-24 07:30:58 UTC (rev 1657)
@@ -106,6 +106,8 @@
                 export MODULE=${x#module=} ;;
             preseed/file=*|file=*)
                 export LOCATION="${x#*=}" ;;
+	    upgrade)
+	    	export UPGRADE="Yes" ;;
             */*=*)
                 question="${x%%=*}"
                 value="${x#*=}"

Added: dists/trunk/live-initramfs/scripts/live-bottom/42apt_upgrade
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/42apt_upgrade	                        (rev 0)
+++ dists/trunk/live-initramfs/scripts/live-bottom/42apt_upgrade	2007-05-24 07:30:58 UTC (rev 1657)
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+#set -e
+
+# initramfs-tools header
+
+PREREQ=""
+
+prereqs()
+{
+	echo "${PREREQ}"
+}
+
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
+esac
+
+# live-initramfs header
+
+if [ -z "${UPGRADE}" ]
+then
+	exit 0
+fi
+
+. /scripts/live-functions
+
+log_begin_msg "Enabling apt upgrade..."
+
+# live-initramfs script
+
+cat > /root/etc/init.d/apt-upgrade << EOF
+#!/bin/sh
+
+NOTTY="-q -y -o DPkg::Options::=--force-confdef"
+UPGRADEOPTS="dist-upgrade"
+DEBIAN_FRONTEND="noninteractive"
+export DEBIAN_FRONTEND
+
+apt-get -q=2 update && apt-get $NOTTY -u $UPGRADEOPTS
+EOF
+
+chmod 0755 /root/etc/init.d/apt-upgrade
+
+chroot /root update-rc.d apt-upgrade defaults 99
+
+log_end_msg


Property changes on: dists/trunk/live-initramfs/scripts/live-bottom/42apt_upgrade
___________________________________________________________________
Name: svn:executable
   + *




More information about the Debian-live-changes mailing list